import { CacheServiceInterface } from './cache-service.interface';
export declare class ArrayCacheService implements CacheServiceInterface {
    #private;
    get<T>(key: string): Promise<T | undefined>;
    set<T>(key: string, value: T): Promise<void>;
    clear(): Promise<void>;
}
